<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_ttest2.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_ttest2" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_ttest2</refname>
    <refpurpose>(unpaired) t-test</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   H = nan_ttest2(x,y)
   H = nan_ttest2(x,y,alpha)
   H = nan_ttest2(x,y,alpha,tail)
   H = nan_ttest2(x,y,alpha,tail,vartype)
   H = nan_ttest2(x,y,alpha,tail,vartype,DIM)
   [H,pval] = nan_ttest2(...)
   [H ,pval,ci,stats] = nan_ttest2(...)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x:</term>
      <listitem><para> input vector</para></listitem></varlistentry>
   <varlistentry><term>y:</term>
      <listitem><para> input vector</para></listitem></varlistentry>
   <varlistentry><term>alpha:</term>
      <listitem><para> significance   level (default alpha = 0.05)</para></listitem></varlistentry>
   <varlistentry><term>tail:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>vartype:</term>
      <listitem><para> supports 'equal' (default value) and 'unequal'.</para></listitem></varlistentry>
   <varlistentry><term>DIM:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>H:</term>
      <listitem><para> returns whether the Null-Hypotheses must be rejected.</para></listitem></varlistentry>
   <varlistentry><term>pval:</term>
      <listitem><para>  p-value of the test</para></listitem></varlistentry>
   <varlistentry><term>ci:</term>
      <listitem><para> confidence internvals (depending on alpha)</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
For two samples x and y from normal distributions with unknown
means and unknown equal variances, perform a two-sample t-test of
the null hypothesis of equal means.  Under the null, the test
statistic T follows a Student distribution with DF degrees of
freedom.
   </para>
   <para>
nan_ttest2 treads NaNs as "Missing values" and ignores these.
   </para>
   <para>
H=%t indicates a rejection of the Null-hypothesis at a significance
level of alpha (default alpha = 0.05).
   </para>
   <para>
With the optional argument string TAIL, the Alternative of interest
can be selected.  If TAIL is '~=' or '&lt;&gt;' or 'both', the null is tested
against the two-sided Alternative `mean (X) ~= mean (Y)'.  If TAIL
is '&gt;' or 'right', the one-sided Alternative `mean (X) &gt; mean (Y)' is used.
Similarly for '&lt;' or 'left', the one-sided Alternative `mean (X) &lt; mean
(Y)' is used.  The default is the two-sided case.
   </para>
   <para>
vartype supports 'equal' (default value) and 'unequal'.
   </para>
   <para>
</para>
</refsection>
</refentry>
